Bug 12873 - NFS Server performance loss with 14-12 kernel
NFS Server performance loss with 14-12 kernel
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2000-06-23 15:14 EDT by cork
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cork 2000-06-23 15:14:46 EDT
Summary: Severe NFS Server performance loss when upgrading from
2.2.14-6.0.1 to 2.2.14-12.


We are running a RedHat 6.2-based NFS file server serving the
following types of clients: Solaris 2.7, IRIX 6.2, HP-UX 11.0, AIX
3.4.3, Dec/Alpha OSF1 V4.0, and Redhat 6.1 and 6.2.  After upgrading
to kernel 2.2.14-12 we have had to revert back to kernel 2.2.14-6.0.1
due to significant NFS Server performance loss which disappeared
immedately upon rebooting the 14-6 kernel and reappeared consistently
when using 14-12.  Nothing else other than the kernel was changed in
the environment, so it would appear that the source is a change
introduced in the 14.12 kernel.

The RedHat 6.2 NFS file server is running on a Dell Dimension XPS T600
with 128MB of RAM.  The network uses LinkSys 10/100 workgroup switches
running full-duplex.

Performance of other networking operations (such as FTP) was unaffected
by the different kernels; only NFS was affected.
Comment 1 cork 2000-07-01 09:25:30 EDT
Opps.  That should read AIX 4.3.3 (not 3.4.3!)...
Comment 2 Bugzilla owner 2004-09-30 11:38:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.